scala.tools.nsc.transform.patmat.PatternExpander

# Patterns

#### final case class Patterns(fixed: List[Pattern], star: Pattern) extends Product with Serializable

Source
  PatternExpander.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Patterns
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Patterns(fixed: List[Pattern], star: Pattern)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Patterns to any2stringadd[Patterns] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Patterns, B)

   Implicit information
     This member is added by an implicit conversion from Patterns to ArrowAssoc[Patterns] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def all: collection.immutable.List[Pattern]

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def ensuring(cond: (Patterns) ⇒ Boolean, msg: ⇒ Any): Patterns

   Implicit information
     This member is added by an implicit conversion from Patterns to Ensuring[Patterns] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: (Patterns) ⇒ Boolean): Patterns

    Implicit information
      This member is added by an implicit conversion from Patterns to Ensuring[Patterns] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean, msg: ⇒ Any): Patterns

    Implicit information
      This member is added by an implicit conversion from Patterns to Ensuring[Patterns] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean): Patterns

    Implicit information
      This member is added by an implicit conversion from Patterns to Ensuring[Patterns] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### val fixed: List[Pattern]

16. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Patterns to StringFormat[Patterns] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def hasStar: Boolean

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### def nonStarArity: Int

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### val star: Pattern

25. #### def starArity: Int

26. #### def starPatterns: collection.immutable.List[Pattern]

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### def toString(): String

    Definition Classes
      Patterns → AnyRef → Any

29. #### def totalArity: Int

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### def →[B](y: B): (Patterns, B)

    Implicit information
      This member is added by an implicit conversion from Patterns to ArrowAssoc[Patterns] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Patterns to any2stringadd[Patterns]

### Inherited by implicit conversion StringFormat from Patterns to StringFormat[Patterns]

### Inherited by implicit conversion Ensuring from Patterns to Ensuring[Patterns]

### Inherited by implicit conversion ArrowAssoc from Patterns to ArrowAssoc[Patterns]

### Ungrouped